{% extends 'configuration/basic_settings/basic_settings_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/basic_settings/interfaces') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/basic_settings/interfaces') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Grundeinstellungen</span>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg my-4 d-flex flex-column gap-4">
        <div class="mdc-card p-4 mb-2">
            <h1 class="fs-3 mb-3">Schnittstellen / API-Anbindungen externer Systeme</h1>
            <p>Auf dieser Seite können API-Tokens von externen Systemen eingetragen werden, damit LeAn® auf Daten aus diesen Systemen abrufen kann.</p>
        </div>
        <div class="row mb-4">
            <div class="col-12 col-lg-6 mb-3">
                <div class="mdc-card p-4 h-100">
                    <h4 class="mb-3 fs-3">hystreet.com</h4>
                    <div class="h-100">
                        <p>Über die API von hystreet.com können Passantenfrequenzen von Laser-Standorten eingelesen werden. Der nachfolgend einzutragende API-Token wird dabei von hystreet.com zur Verfügung gestellt.</p>
                    </div>
                    {{ form_start(hystreetConfigurationForm, {'attr': {'id': hystreetConfigurationForm.vars.id ~ '_form'}}) }}
                    {% include 'configuration/form/basic_settings/hystreet_configuration_form.html.twig' with {'form': hystreetConfigurationForm} only %}
                    {{ form_widget(hystreetConfigurationForm.save, {'label': 'SPEICHERN', 'id': hystreetConfigurationForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
                    {{ form_row(hystreetConfigurationForm._token) }}
                    {{ form_end(hystreetConfigurationForm, {'render_rest': false}) }}
                </div>
            </div>
            <div class="col-12 col-lg-6 mb-3">
                <div class="mdc-card p-4">
                    <h2 class="mb-3 fs-3">Hall of Inspiration</h2>
                    <div class="h-100">
                        <p>Die Hall of Inspiration der Leerstandslotsen stellt eine Sammlung von inspirierenden Nutzungskonzepten per API bereit. Mit Hilfe eines API-Tokens der Leerstandslotsen kann die Hall of Inspiration in LeAn® eingebunden werden.</p>
                    </div>
                    {{ form_start(hallOfInspirationConfigurationForm, {'attr': {'id': hallOfInspirationConfigurationForm.vars.id ~ '_form'}}) }}
                    {% include 'configuration/form/basic_settings/hall_of_inspiration_configuration_form.html.twig' with {'form': hallOfInspirationConfigurationForm} only %}
                    {{ form_widget(hallOfInspirationConfigurationForm.save, {'label': 'SPEICHERN', 'id': hallOfInspirationConfigurationForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
                    {{ form_row(hallOfInspirationConfigurationForm._token) }}
                    {{ form_end(hallOfInspirationConfigurationForm, {'render_rest': false}) }}
                </div>
            </div>
            <div class="col-12 col-lg-6 mb-3">
                <div class="mdc-card p-4">
                    <h2 class="mb-3 fs-3">zielbildcheck.de </h2>
                    <div class="h-100">
                        <p>Über zielbildcheck.de kann ein strategisches Zielbild zur zukünftigen Positionierung und Entwicklung der Stadt erarbeitet werden. Mittels eines von zielbildcheck.de bereitgestellten API-Tokens kann das Zielbild in LeAn® eingebunden werden.</p>
                    </div>
                    {{ form_start(zielbildcheckConfigurationForm, {'attr': {'id': zielbildcheckConfigurationForm.vars.id ~ '_form'}}) }}
                    {% include 'configuration/form/basic_settings/zielbildcheck_configuration_form.html.twig' with {'form': zielbildcheckConfigurationForm} only %}
                    {{ form_widget(zielbildcheckConfigurationForm.save, {'label': 'SPEICHERN', 'id': zielbildcheckConfigurationForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
                    {{ form_row(zielbildcheckConfigurationForm._token) }}
                    {{ form_end(zielbildcheckConfigurationForm, {'render_rest': false}) }}
                </div>
            </div>
            <div class="col-12 col-lg-6 mb-3">
                <div class="mdc-card p-4">
                    <h2 class="mb-3 fs-3">Wegweiser Kommune</h2>
                    <div class="h-100">
                        <p>Über Wegweiser Kommune können Standortindikatoren zu Ihrer Kommune eingebunden werden, die auf dem Dashboard und unter Reports und Bericht angezeigt werden.</p>
                    </div>
                    {{ form_start(wegweiserKommunePlaceMappingForm, {'attr': {'id': wegweiserKommunePlaceMappingForm.vars.id ~ '_form'}}) }}
                    {% include 'configuration/form/basic_settings/wegweiser_kommune_place_mapping_form.html.twig' with {'form': wegweiserKommunePlaceMappingForm} only %}
                    {{ form_widget(wegweiserKommunePlaceMappingForm.save, {'label': 'SPEICHERN', 'id': wegweiserKommunePlaceMappingForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
                    {{ form_row(wegweiserKommunePlaceMappingForm._token) }}
                    {{ form_end(wegweiserKommunePlaceMappingForm, {'render_rest': false}) }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
